[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPObjectHashTable.Iterate

Iterate over the objects in the hash table

## Declaration

Source position: contnrs.pp line 497

`public function TFPObjectHashTable.Iterate(`
`aMethod: TObjectIteratorMethod`
`):TObject; virtual; function TFPObjectHashTable.Iterate(`
`aMethod: TObjectIteratorCallback`
`):TObject; virtual;`

## Arguments

`aMethod` |  | Method to call for each object in the hash table.

## Function result

Nil or the object that caused the iteration to be aborted.

## Arguments

`aMethod` |  | Method to call for each object in the hash table.

## Description

Iterate iterates over all elements in the array, calling aMethod for each object, or until the method returns False in its continue parameter. It returns Nil if all elements were processed, or the object that was being processed when aMethod returned False in the Continue parameter.